v1.0.0
OpenAPI 3.1.0

Lookup a collection

US region

Client Libraries

Lookup a collection

Retrieves details about a collection, including the schema and name. This request does not include the content of the collection (the values associated with keys in the schema).

Path Parameters
  • collection_id
    Type: integer
    required

    The identifier for a collection.

Responses
  • application/json
  • 404

    The collection id does not exist.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/collections/{collection_id}
curl https://api.customer.io/v1/collections/1 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "collection": {
    "bytes": 296,
    "created_at": 1552341937,
    "updated_at": 1552341937,
    "id": 1,
    "name": "upcoming events",
    "rows": 2,
    "schema": [
      "eventDate",
      "eventName",
      "presents"
    ]
  }
}